Bug 1378190 - [RFE]: Containers should be added to Service Model
Summary: [RFE]: Containers should be added to Service Model
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: Ken Evensen
QA Contact: Milan Falešník
URL:
Whiteboard: container
Depends On:
Blocks: 1438888
TreeView+ depends on / blocked
 
Reported: 2016-09-21 19:10 UTC by ldomb
Modified: 2017-06-12 17:17 UTC (History)
15 users (show)

Fixed In Version: 5.8.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1438888 (view as bug list)
Environment:
Last Closed: 2017-06-12 17:17:32 UTC
Category: ---
Cloudforms Team: Container Management
Target Upstream Version:


Attachments (Terms of Use)

Description ldomb 2016-09-21 19:10:41 UTC
Description of problem:

Containers are currently not query-able from the vmbdb as there is no existing service model. 

This restricts usage of containers as I am not able to act on discovered containers nor tag or work with them via automate. 

Not having it in automate causes confusion as the customer can tag containers in the UI and expects the same feature being available in automate. 


Version-Release number of selected component (if applicable):
All versions of CFME

How reproducible:
Search for containers in the vmdb

Steps to Reproduce:
1.
2.
3.

Actual results:
containers are not query-able from automate

Expected results:
containers are query-able from automate

Additional info:

Comment 2 Greg McCullough 2016-09-22 15:13:23 UTC
Federico - Can you reassign and we can work with someone in the containers team to create the automate service model objects if you need help.

Comment 16 CFME Bot 2017-01-16 15:26:20 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/78cfe1361f726fc909e68ea65a8925394ed6b82b

commit 78cfe1361f726fc909e68ea65a8925394ed6b82b
Author:     Kenneth D. Evensen <kevensen>
AuthorDate: Wed Nov 23 06:54:12 2016 -0500
Commit:     Kenneth D. Evensen <kevensen>
CommitDate: Fri Jan 13 19:13:42 2017 -0500

    Added container components for service model.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1378190

 .../service_models/miq_ae_service_container.rb     | 20 +++++++
 .../miq_ae_service_container_build.rb              | 11 ++++
 .../miq_ae_service_container_build_pod.rb          | 11 ++++
 .../miq_ae_service_container_condition.rb          |  6 +++
 .../miq_ae_service_container_definition.rb         | 12 +++++
 .../miq_ae_service_container_env_var.rb            |  5 ++
 .../miq_ae_service_container_group.rb              | 21 ++++++++
 .../miq_ae_service_container_image.rb              | 19 +++++++
 .../miq_ae_service_container_image_registry.rb     | 11 ++++
 .../miq_ae_service_container_limit.rb              |  7 +++
 .../miq_ae_service_container_limit_item.rb         |  5 ++
 .../miq_ae_service_container_node.rb               | 20 +++++++
 .../miq_ae_service_container_port_config.rb        |  5 ++
 .../miq_ae_service_container_project.rb            |  6 +++
 .../miq_ae_service_container_quota.rb              |  7 +++
 .../miq_ae_service_container_replicator.rb         | 14 +++++
 .../miq_ae_service_container_route.rb              | 12 +++++
 .../miq_ae_service_container_service.rb            | 17 ++++++
 .../miq_ae_service_container_volume.rb             |  8 +++
 .../miq_ae_service_container_volume_kubernetes.rb  |  4 ++
 ...iders-kubernetes-container_manager-container.rb |  4 ++
 ...kubernetes-container_manager-container_group.rb |  4 ++
 ...-kubernetes-container_manager-container_node.rb |  4 ++
 ...iders-openshift_enterprise-container_manager.rb |  1 +
 .../miq_ae_service_persistent_volume.rb            |  4 ++
 .../miq_ae_service_persistent_volume_claim.rb      |  4 ++
 .../miq_ae_service_container_build_pod_spec.rb     | 11 ++++
 .../miq_ae_service_container_build_spec.rb         | 15 ++++++
 .../miq_ae_service_container_condition_spec.rb     |  7 +++
 .../miq_ae_service_container_definition_spec.rb    | 31 +++++++++++
 .../miq_ae_service_container_env_var_spec.rb       |  7 +++
 .../miq_ae_service_container_group_spec.rb         | 63 ++++++++++++++++++++++
 ...miq_ae_service_container_image_registry_spec.rb | 23 ++++++++
 .../miq_ae_service_container_image_spec.rb         | 55 +++++++++++++++++++
 .../miq_ae_service_container_limit_item_spec.rb    |  7 +++
 .../miq_ae_service_container_limit_spec.rb         | 15 ++++++
 .../miq_ae_service_container_node_spec.rb          | 59 ++++++++++++++++++++
 .../miq_ae_service_container_port_config_spec.rb   |  7 +++
 .../miq_ae_service_container_project_spec.rb       | 11 ++++
 .../miq_ae_service_container_quota_spec.rb         | 15 ++++++
 .../miq_ae_service_container_replicator_spec.rb    | 35 ++++++++++++
 .../miq_ae_service_container_route_spec.rb         | 27 ++++++++++
 .../miq_ae_service_container_service_spec.rb       | 47 ++++++++++++++++
 .../miq_ae_service_container_spec.rb               | 17 ++++++
 .../miq_ae_service_container_volume_spec.rb        | 11 ++++
 45 files changed, 705 insertions(+)
 create mode 100644 lib/miq_automation_engine/service_models/miq_ae_service_container.rb
 create mode 100644 lib/miq_automation_engine/service_models/miq_ae_service_container_build.rb
 create mode 100644 lib/miq_automation_engine/service_models/miq_ae_service_container_build_pod.rb
 create mode 100644 lib/miq_automation_engine/service_models/miq_ae_service_container_condition.rb
 create mode 100644 lib/miq_automation_engine/service_models/miq_ae_service_container_definition.rb
 create mode 100644 lib/miq_automation_engine/service_models/miq_ae_service_container_env_var.rb
 create mode 100644 lib/miq_automation_engine/service_models/miq_ae_service_container_group.rb
 create mode 100644 lib/miq_automation_engine/service_models/miq_ae_service_container_image.rb
 create mode 100644 lib/miq_automation_engine/service_models/miq_ae_service_container_image_registry.rb
 create mode 100644 lib/miq_automation_engine/service_models/miq_ae_service_container_limit.rb
 create mode 100644 lib/miq_automation_engine/service_models/miq_ae_service_container_limit_item.rb
 create mode 100644 lib/miq_automation_engine/service_models/miq_ae_service_container_node.rb
 create mode 100644 lib/miq_automation_engine/service_models/miq_ae_service_container_port_config.rb
 create mode 100644 lib/miq_automation_engine/service_models/miq_ae_service_container_project.rb
 create mode 100644 lib/miq_automation_engine/service_models/miq_ae_service_container_quota.rb
 create mode 100644 lib/miq_automation_engine/service_models/miq_ae_service_container_replicator.rb
 create mode 100644 lib/miq_automation_engine/service_models/miq_ae_service_container_route.rb
 create mode 100644 lib/miq_automation_engine/service_models/miq_ae_service_container_service.rb
 create mode 100644 lib/miq_automation_engine/service_models/miq_ae_service_container_volume.rb
 create mode 100644 lib/miq_automation_engine/service_models/miq_ae_service_container_volume_kubernetes.rb
 create mode 100644 lib/miq_automation_engine/service_models/miq_ae_service_manageiq-providers-kubernetes-container_manager-container.rb
 create mode 100644 lib/miq_automation_engine/service_models/miq_ae_service_manageiq-providers-kubernetes-container_manager-container_group.rb
 create mode 100644 lib/miq_automation_engine/service_models/miq_ae_service_manageiq-providers-kubernetes-container_manager-container_node.rb
 create mode 100644 lib/miq_automation_engine/service_models/miq_ae_service_persistent_volume.rb
 create mode 100644 lib/miq_automation_engine/service_models/miq_ae_service_persistent_volume_claim.rb
 create mode 100644 spec/lib/miq_automation_engine/service_methods/miq_ae_service_container_build_pod_spec.rb
 create mode 100644 spec/lib/miq_automation_engine/service_methods/miq_ae_service_container_build_spec.rb
 create mode 100644 spec/lib/miq_automation_engine/service_methods/miq_ae_service_container_condition_spec.rb
 create mode 100644 spec/lib/miq_automation_engine/service_methods/miq_ae_service_container_definition_spec.rb
 create mode 100644 spec/lib/miq_automation_engine/service_methods/miq_ae_service_container_env_var_spec.rb
 create mode 100644 spec/lib/miq_automation_engine/service_methods/miq_ae_service_container_group_spec.rb
 create mode 100644 spec/lib/miq_automation_engine/service_methods/miq_ae_service_container_image_registry_spec.rb
 create mode 100644 spec/lib/miq_automation_engine/service_methods/miq_ae_service_container_image_spec.rb
 create mode 100644 spec/lib/miq_automation_engine/service_methods/miq_ae_service_container_limit_item_spec.rb
 create mode 100644 spec/lib/miq_automation_engine/service_methods/miq_ae_service_container_limit_spec.rb
 create mode 100644 spec/lib/miq_automation_engine/service_methods/miq_ae_service_container_node_spec.rb
 create mode 100644 spec/lib/miq_automation_engine/service_methods/miq_ae_service_container_port_config_spec.rb
 create mode 100644 spec/lib/miq_automation_engine/service_methods/miq_ae_service_container_project_spec.rb
 create mode 100644 spec/lib/miq_automation_engine/service_methods/miq_ae_service_container_quota_spec.rb
 create mode 100644 spec/lib/miq_automation_engine/service_methods/miq_ae_service_container_replicator_spec.rb
 create mode 100644 spec/lib/miq_automation_engine/service_methods/miq_ae_service_container_route_spec.rb
 create mode 100644 spec/lib/miq_automation_engine/service_methods/miq_ae_service_container_service_spec.rb
 create mode 100644 spec/lib/miq_automation_engine/service_methods/miq_ae_service_container_spec.rb
 create mode 100644 spec/lib/miq_automation_engine/service_methods/miq_ae_service_container_volume_spec.rb

Comment 20 ldomb 2017-02-21 18:48:28 UTC
yes it does can be closed thank you!

Comment 23 Milan Falešník 2017-05-16 16:34:36 UTC
Verified in 5.8.0.14.

All the models that were added in the commit are queryable from database. Most of the relationships work but I will be filing a bugzilla on some that do not work properly.


Note You need to log in before you can comment on or make changes to this bug.